
/*
 * DUALMON.H - Nice little include file for a simple system to output to
 * a monochrome monitor setup as a secondary monitor.
 *
 * DUALMON.H was surgically extracted from BUGOUT (without pain killers) by:
 *
 *   Mark R. Holbrook
 *   805-964-4471
 *   76436,1224 Compuserve
 *   76436.1224@compuserve.com
 *
 * You may use and distribute this program freely.  In fact, you can even
 * modify this program at any time if you have an editor.  Hell for all that
 * matters, you can even compile this program if you have a compiler.  If we
 * are going to go this far, you can even delete it or convert it to COBOL!
 * All I ask is that my name be kept with it and if you
 * make any neat changes to it.  Please update the version number and
 * send a copy back to me!
 *
 * If you really insist on sending me money for this.. this.. thing, well
 * I guess I could make an exception...  Let's discuss it!
 *
 * See DUALMON.C for revision information.
 *
 * You may include this include file anywhere at any time!
 */

/* Only allow include once */
#ifndef DUALDEFS
#define DUALDEFS

/* Need DOS.H */
#include  <dos.h>

/* Needed global variable */
#ifdef  DUALMAIN
        unsigned  int   far   *Mono = MK_FP(0xb000,0);
#else
extern  unsigned  int   far   *Mono;
#endif

/* Function prototypes */
void  ScrollMono( unsigned int Lines );
void  ClearMono( void );
void  PrintToMono( unsigned int   Row,
                   unsigned int   Col,
                   unsigned int   Att,
                            char  *Fmt, ... );


#endif  /* DUALDEFS */

